SerializationUtils.FixedBitSizes (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Enum SerializationUtils.FixedBitSizes

- java.lang.Object
- - java.lang.Enum<SerializationUtils.FixedBitSizes>
  - - org.apache.orc.impl.SerializationUtils.FixedBitSizes

- All Implemented Interfaces:
    Serializable, Comparable<SerializationUtils.FixedBitSizes>
  Enclosing class:
    SerializationUtils

      public static enum SerializationUtils.FixedBitSizes
      extends Enum<SerializationUtils.FixedBitSizes>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EIGHT`
    `EIGHTEEN`
    `ELEVEN`
    `FIFTEEN`
    `FIFTYSIX`
    `FIVE`
    `FORTY`
    `FORTYEIGHT`
    `FOUR`
    `FOURTEEN`
    `NINE`
    `NINETEEN`
    `ONE`
    `SEVEN`
    `SEVENTEEN`
    `SIX`
    `SIXTEEN`
    `SIXTYFOUR`
    `TEN`
    `THIRTEEN`
    `THIRTY`
    `THIRTYTWO`
    `THREE`
    `TWELVE`
    `TWENTY`
    `TWENTYEIGHT`
    `TWENTYFOUR`
    `TWENTYONE`
    `TWENTYSIX`
    `TWENTYTHREE`
    `TWENTYTWO`
    `TWO`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SerializationUtils.FixedBitSizes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SerializationUtils.FixedBitSizes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONE

          public static final SerializationUtils.FixedBitSizes ONE

    - #### TWO

          public static final SerializationUtils.FixedBitSizes TWO

    - #### THREE

          public static final SerializationUtils.FixedBitSizes THREE

    - #### FOUR

          public static final SerializationUtils.FixedBitSizes FOUR

    - #### FIVE

          public static final SerializationUtils.FixedBitSizes FIVE

    - #### SIX

          public static final SerializationUtils.FixedBitSizes SIX

    - #### SEVEN

          public static final SerializationUtils.FixedBitSizes SEVEN

    - #### EIGHT

          public static final SerializationUtils.FixedBitSizes EIGHT

    - #### NINE

          public static final SerializationUtils.FixedBitSizes NINE

    - #### TEN

          public static final SerializationUtils.FixedBitSizes TEN

    - #### ELEVEN

          public static final SerializationUtils.FixedBitSizes ELEVEN

    - #### TWELVE

          public static final SerializationUtils.FixedBitSizes TWELVE

    - #### THIRTEEN

          public static final SerializationUtils.FixedBitSizes THIRTEEN

    - #### FOURTEEN

          public static final SerializationUtils.FixedBitSizes FOURTEEN

    - #### FIFTEEN

          public static final SerializationUtils.FixedBitSizes FIFTEEN

    - #### SIXTEEN

          public static final SerializationUtils.FixedBitSizes SIXTEEN

    - #### SEVENTEEN

          public static final SerializationUtils.FixedBitSizes SEVENTEEN

    - #### EIGHTEEN

          public static final SerializationUtils.FixedBitSizes EIGHTEEN

    - #### NINETEEN

          public static final SerializationUtils.FixedBitSizes NINETEEN

    - #### TWENTY

          public static final SerializationUtils.FixedBitSizes TWENTY

    - #### TWENTYONE

          public static final SerializationUtils.FixedBitSizes TWENTYONE

    - #### TWENTYTWO

          public static final SerializationUtils.FixedBitSizes TWENTYTWO

    - #### TWENTYTHREE

          public static final SerializationUtils.FixedBitSizes TWENTYTHREE

    - #### TWENTYFOUR

          public static final SerializationUtils.FixedBitSizes TWENTYFOUR

    - #### TWENTYSIX

          public static final SerializationUtils.FixedBitSizes TWENTYSIX

    - #### TWENTYEIGHT

          public static final SerializationUtils.FixedBitSizes TWENTYEIGHT

    - #### THIRTY

          public static final SerializationUtils.FixedBitSizes THIRTY

    - #### THIRTYTWO

          public static final SerializationUtils.FixedBitSizes THIRTYTWO

    - #### FORTY

          public static final SerializationUtils.FixedBitSizes FORTY

    - #### FORTYEIGHT

          public static final SerializationUtils.FixedBitSizes FORTYEIGHT

    - #### FIFTYSIX

          public static final SerializationUtils.FixedBitSizes FIFTYSIX

    - #### SIXTYFOUR

          public static final SerializationUtils.FixedBitSizes SIXTYFOUR

  - ### Method Detail

    - #### values

          public static SerializationUtils.FixedBitSizes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SerializationUtils.FixedBitSizes c : SerializationUtils.FixedBitSizes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SerializationUtils.FixedBitSizes valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.